﻿using PhotoBrowser.Common;
using PhotoBrowser.Model;
using PhotoBrowser.ViewModel;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace PhotoBrowser
{
    public sealed partial class CategoryBrowserPage : LayoutAwarePage
    {
        private CategoryBrowserViewModel _vm;

        public CategoryBrowserPage()
        {
            this.InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            var vm = e.Parameter as CategoryBrowserViewModel;

            _vm = vm;

            DataContext = _vm;
        }

        private void OnBackButtonClick(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            Frame.GoBack();
        }

        private void OnDislikeClick(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            //DislikePopup.Visibility = Windows.UI.Xaml.Visibility.Visible;
            DislikePopup.IsOpen = true;
        }
    }
}
