﻿using System;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace DemoApp.Selectors
{
    public class StorageItemDataTemplateSelector : DataTemplateSelector
    {
        public DataTemplate FileTemplate { get; set; }
        public DataTemplate FolderTemplate { get; set; }

        protected override DataTemplate SelectTemplateCore(
            object item, DependencyObject container)
        {
            if (item is StorageFile)
                return FileTemplate;

            if (item is StorageFolder)
                return FolderTemplate;

            return base.SelectTemplateCore(item, container);
        }
    }
}
