﻿using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Activation;
using NetworkingClient.Model;

namespace Site.Services
{
    [ServiceContract(Namespace = "")]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class MessageService
    {
        [OperationContract]
        public List<InstantMessage> GetMessages()
        {
            var messages = new List<InstantMessage>() 
            { 
                new InstantMessage() { From="Nappa", To="Vegeta", 
                    Text="Vegeta, what does the scouter say about his power level?", 
                    Timestamp=DateTime.Parse("6/1/2012 2:57pm"), Id=1 },
                new InstantMessage() { From="Vegeta", To="Nappa", 
                    Text="It's over 9000!!", 
                    Timestamp=DateTime.Parse("6/1/2012 2:58pm"), Id=2 },
                new InstantMessage() { From="Nappa", To="Vegeta", 
                    Text="9000!?", 
                    Timestamp=DateTime.Parse("6/1/2012 2:59pm"), Id=3 },
                new InstantMessage() { From="Nappa", To="Vegeta", 
                    Text="There's no way that can be right! It can't!", 
                    Timestamp=DateTime.Parse("6/1/2012 3:00pm"), Id=4 },
            };
            
            return messages;
        }
    }
}
