﻿using GalaSoft.MvvmLight;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SocketApp.Model
{
    public class ChatMessage : ObservableObject
    {
        private Player _from;
        public Player From
        {
            get { return _from; }
            set { Set<Player>(() => From, ref _from, value); }
        }

        private string _message;
        public string Message
        {
            get { return _message; }
            set { Set<string>(() => Message, ref _message, value); }
        }

        private DateTime _timeStamp;
        public DateTime TimeStamp
        {
            get { return _timeStamp; }
            set { Set<DateTime>(() => TimeStamp, ref _timeStamp, value); }
        }

    }
}
