﻿using GalaSoft.MvvmLight;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SocketApp.Model
{
    public class ChatMessage : ObservableObject
    {
        private Player _player;
        public Player Player
        {
            get { return _player; }
            set { Set<Player>(() => Player, ref _player, value); }
        }

        private string _message;
        public string Message
        {
            get { return _message; }
            set { Set<string>(() => Message, ref _message, value); }
        }
    }
}
