﻿using GalaSoft.MvvmLight;
using PhotoBrowser.Model;
using PhotoBrowser.Services;
using System.Collections.ObjectModel;
using System.Linq;

namespace PhotoBrowser.ViewModel
{
    public class MainViewModel : ViewModelBase
    {

        //private CollectionViewSource _photos = new CollectionViewSource();
        //public CollectionViewSource Photos
        //{
        //    get { return _photos; }
        //    set
        //    {
        //        _photos = value;
               
        //        //RaisePropertyChanged(()=>Photos);
        //        RaisePropertyChanged("Photos");

        //        //Set<CollectionViewSource>(() => Photos, ref _photos, value);
        //    }
        //}

        //private object _photos;
        //public object Photos
        //{
        //    get { return _photos; }
        //    set
        //    {
        //        Set<object>(() => Photos, ref _photos, value);
        //    }
        //}

        private ObservableCollection<PhotoCategory> _photos = 
            new ObservableCollection<PhotoCategory>();

        public ObservableCollection<PhotoCategory> Photos
        {
            get { return _photos; }
        }

        public void LoadPhotos()
        {
            var groups = ImageService.Current.GetCategories();

            //var photos = ImageService.Current.GetPhotos();

            //var groups = photos.GroupBy(p => p.Category)
            //    .Select(p => new PhotoCategory()
            //        {
            //            Category = p.Key,
            //            Photos = p.ToList()
            //        });

            Photos.Clear();

            foreach (var g in groups)
                Photos.Add(g);

            TileNotificationService.Current.CreateSimpleSquareTileNotifications(Photos);
            TileNotificationService.Current.CreateWideTileNotifications(Photos);

            //Photos = ImageService.Current.GetVirtualizedImagesVector();

            //var images = ImageService.Current.GetVirtualizedImagesVector();

            //CollectionViewSource source = new CollectionViewSource();
            //source.Source = images;
            //Photos = source;
        }
    }
}