﻿using GalaSoft.MvvmLight;
using System;
using System.Linq;
using Windows.UI.Xaml.Media;

namespace SocketApp.Model
{
    public class Player : ObservableObject
    {
        private string _name; 
        public string Name 
        {
            get { return _name; }
            set { Set<string>(() => Name, ref _name, value); }
        }

        private SolidColorBrush _color;
        public SolidColorBrush Color
        {
            get { return _color; }
            set { Set<SolidColorBrush>(() => Color, ref _color, value); }
        }

        private double _x;
        public double X
        {
            get { return _x; }
            set { Set<double>(() => X, ref _x, value); }
        }

        private double _y;
        public double Y
        {
            get { return _y; }
            set { Set<double>(() => Y, ref _y, value); }
        }

        private double _angle;
        public double Angle
        {
            get { return _angle; }
            set { Set<double>(() => Angle, ref _angle, value); }
        }
    }
}
