﻿using System;
using GalaSoft.MvvmLight;

namespace SocketApp.Model
{
    public class PlayerLocation : ObservableObject
    {
        private double _x;
        public double X
        {
            get { return _x; }
            set { Set<double>(() => X, ref _x, value); }
        }

        private double _y;
        public double Y
        {
            get { return _y; }
            set { Set<double>(() => Y, ref _y, value); }
        }

        private double _angle;
        public double Angle
        {
            get { return _angle; }
            set { Set<double>(() => Angle, ref _angle, value); }
        }
    }
}
